import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {
  headerShow = false;
  plansShow=false;
  constructor(private route: ActivatedRoute, private router: Router) { }

  ngOnInit() {
  }
  showfunc(){
    this.headerShow = !this.headerShow;
  }
  plansfunc(){
    this.plansShow = !this.plansShow;
    }
  goto(path,data=null){
  
    this.router.navigateByUrl(path,{queryParams:data});
   }
}
